Create a habit
curl --request POST \
--url https://api.doers.sh/v2/habits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"rule": {
"every": 183,
"weekdays": [
4
]
},
"startsOn": "2023-12-25",
"target": {
"kind": "check"
}
}
'import requests
url = "https://api.doers.sh/v2/habits"
payload = {
"name": "<string>",
"rule": {
"every": 183,
"weekdays": [4]
},
"startsOn": "2023-12-25",
"target": { "kind": "check" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
rule: {every: 183, weekdays: [4]},
startsOn: '2023-12-25',
target: {kind: 'check'}
})
};
fetch('https://api.doers.sh/v2/habits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"habit": {
"id": "<string>",
"name": "<string>",
"startsOn": "2023-12-25",
"rule": {
"every": 183,
"unit": "day",
"weekdays": [
4
]
},
"target": {
"kind": "check"
},
"createdAt": 123,
"archivedAt": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Habits
Create a habit
A name, the day it starts, a rule, and a target. The rule is the task’s repeat grammar without a mode: a habit is always phased on the day it starts.
POST
/
v2
/
habits
Create a habit
Authorizations
A pc_… token generated from Settings > API & MCP.
Body
application/json
Required string length:
1 - 200A habit's rule: the task's repeat grammar without a mode, phased on startsOn.
Show child attributes
Show child attributes
Local day key, YYYY-MM-DD.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$What one occurrence asks for: a tick, a quantity in a unit, or minutes.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Response
Created.
Show child attributes
Show child attributes